For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create single product

Add a single product to your marketplace store.

POST /v1/external/marketplace/{store_id}/products/single

Note: Supported currencies are based on your store's configured zones. Contact support if your currency is not available.

Path Parameters

Parameter
Type
Required
Description

store_id

string

Yes

Your unique marketplace store ID

Request Body

Parameter
Type
Required
Description

name

string

Yes

Product name

description

string

Yes

Short product description

currency

string

Yes

Currency code e.g. NGN, USD, GBP

image_1

string

Yes

URL of the primary product image

price

number

Yes

Product price in the specified currency

store_product_id

string

Yes

Your unique identifer for the product on your

store

kg_weight

number

Yes

Product weight in kilograms

dimensions

object

Yes

Product dimensions

dimensions.length_cm

number

Yes

Length in centimetres

dimensions.width_cm

number

Yes

Width in centimetres

dimensions.height_cm

number

Yes

Height in centimetres

category_name

string

Yes

Product category e.g. Tees, Dresses, Shoes

Response

Last updated

Was this helpful?